Bug 417091 - "Enter" key is "held down" during resume
"Enter" key is "held down" during resume
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-09 05:19 EST by Kyrre Ness Sjøbæk
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:54:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2007-12-09 05:19:24 EST
Description of problem:
When i wake up the machine, the "enter" key on the keyboard is held down (in
software) for 10-15 secounds while resuming. Quite annoying if some nautilus
launcer is marked, or if editing some text file.

Version-Release number of selected component (if applicable):
2.6.23.1-21.fc7

How reproducible:
I think every time

Steps to Reproduce:
1.Mark some launcher in nautilus, on desktop etc, edit a text document, have
matlab/maple/terminal or some other text input program open
2.Suspend
3.Resume
4.When VT's are OK (bug 312901), notice the 200 open windows you have to close

Actual results:


Expected results:


Additional info:
This also happens on my stationary machine, with kernel
2.6.20-1.2320.fc5smp
(i just noticed - i tought it crashed on suspend, but when i hit "suspend"
instead of "shutdown" in error a few days ago, and discovered (because i didn't
have a paperclip handy to reset it with - it took a *LONG* time to resume (over
a minute))
Comment 1 Christopher Brown 2008-01-15 23:41:38 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 2 Kyrre Ness Sjøbæk 2008-02-11 13:48:52 EST
Yes, this does still happen. Just reproduced it inside matlab, twice, and once
with nautilus. And it is not "the last button pushed" - it is always "enter".

However, it does not seem to show up at the first resume, but from the secound
and onwards.

Kernel version (on laptop, Dell Latitude D520): 2.6.23.14-64.fc7

On my stationary machine (homebuilt Intel P4), I have not seen it since
upgrading to FC8 (now running 2.6.23.14-107.fc8 #1 SMP).

Sorry for being late at submitting the info!
Comment 3 Christopher Brown 2008-02-11 14:59:09 EST
Can you attach output of first and second resume (ie. good and bad resumes) to
this bug as two separate text/plain attachments please.
Comment 4 Kyrre Ness Sjøbæk 2008-02-11 17:42:32 EST
What output? dmesg?
Comment 5 Christopher Brown 2008-02-11 17:53:16 EST
Sorry Kyrre, yes dmesg please.
Comment 6 Brian Powell 2008-04-25 00:54:43 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.
Comment 7 Kyrre Ness Sjøbæk 2008-04-25 03:45:02 EDT
Sorry, i forgot about it (it got marked as "read" in my mailprog for some
reason, probably me forgetting to unread it until done.)

Anyway, the problem seems to be gone (on both the dell laptop and the homebuilt
stationary machine), so you may close to some sort of fix'ed. Don't know what
version of kernel, tough.

Note You need to log in before you can comment on or make changes to this bug.